[CentOS] Installing skype in CentOS 5

Johnny Hughes johnny at centos.org
Mon Nov 12 09:14:36 UTC 2007


Andrew Allen wrote:
> Having just upgraded my system from CentOS 4.4 to 5.0, I'm a bit
> disappointed that I still can't install skype from the skype repo using
> yum - when I try yum install skype, I end up with:
> 
> libsigc++20-2.0.17-1.el5. 100% |=========================| 217 kB
> 00:13     
> ---> Package libsigc++20.i386 0:2.0.17-1.el5.rf set to be updated
> --> Running transaction check
> --> Processing Dependency: qt4-x11 >= 4.2 for package: skype
> --> Finished Dependency Resolution
> Error: Missing Dependency: qt4-x11 >= 4.2 is needed by package skype
> 
> Any ideas please as to how this can be overcome so that I can install
> and run this very useful utility?

OK ... as I said in another post to this thread earlier, I do not
recommend upgrading to QT4 to use skype.

Also, the RPMS are designed for Fedora and not CentOS, requiring the
upgrade of other items as well.

Skype makes a statically compiled version that should work independent
of the CentOS version of QT.  I created a Howto on the CentOS wiki to
use this version of skype:

http://wiki.centos.org/HowTos/Skype

I have been using skype for several months using this method ... though
you do need to track updates and get the new files yourself.  That is
also true for updates of the Fedora RPMS though, so nothing lost there.

I am sure others will say that upgrading QT is perfectly OK and it
causes no problems at all ... and that may be the case.  However, I
would not personally do that on a machine that was critical to me.

Thanks,
Johnny Hughes

-------------- next part --------------
A non-text attachment was scrubbed...
Name: signature.asc
Type: application/pgp-signature
Size: 252 bytes
Desc: OpenPGP digital signature
Url : http://lists.centos.org/pipermail/centos/attachments/20071112/bca9a56f/signature.bin


More information about the CentOS mailing list